package test.logging.interfaces.impl;

import org.apache.log4j.Logger;

import test.logging.exception.NumberLargeException;
import test.logging.exception.NumberSmallException;
import test.logging.interfaces.Main;

public class MainImpl implements Main {
	private Logger logger;

	private static final String SQUARE = "■";

	public void execute(int i) throws NumberSmallException, NumberLargeException {
		if (i < 0) {
			throw new NumberSmallException("引数が負の値です。");
		} else if (i > 0) {
			throw new NumberLargeException("引数が正の値です。");
		} else {
			logger.info(new StringBuffer().append(SQUARE).append(this.getClass().getName()).append("引数はゼロです。").toString());
		}
	}

	public Logger getLogger() {
		return logger;
	}

	public void setLogger(Logger logger) {
		this.logger = logger;
	}
}
